org.apache.cassandra.utils

## Class UUIDSerializer

- java.lang.Object
- - org.apache.cassandra.utils.UUIDSerializer

All Implemented Interfaces:
  IVersionedSerializer<java.util.UUID>

    public class UUIDSerializer
    extends java.lang.Object
    implements IVersionedSerializer<java.util.UUID>

### Field Summary

Fields
`static UUIDSerializer` `serializer`

### Constructor Summary

Constructors
Constructor and Description
`UUIDSerializer()`

### Method Summary

Methods
`java.util.UUID` `deserialize(java.io.DataInput in, int version)` Deserialize into the specified DataInputStream instance.
`void` `serialize(java.util.UUID uuid, java.io.DataOutput out, int version)` Serialize the specified type into the specified DataOutputStream instance.
`long` `serializedSize(java.util.UUID uuid, int version)` Calculate serialized size of object without actually serializing.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serializer

    public static UUIDSerializer serializer

### Constructor Detail

#### UUIDSerializer

    public UUIDSerializer()

### Method Detail

#### serialize

    public void serialize(java.util.UUID uuid,
                 java.io.DataOutput out,
                 int version)
                   throws java.io.IOException

Description copied from interface: `IVersionedSerializer`
Serialize the specified type into the specified DataOutputStream instance.

Specified by:
  `serialize` in interface `IVersionedSerializer<java.util.UUID>`
Parameters:
  `uuid` - type that needs to be serialized
  `out` - DataOutput into which serialization needs to happen.
  `version` - protocol version
Throws:
  `java.io.IOException`

#### deserialize

    public java.util.UUID deserialize(java.io.DataInput in,
                             int version)
                               throws java.io.IOException

Description copied from interface: `IVersionedSerializer`
Deserialize into the specified DataInputStream instance.

Specified by:
  `deserialize` in interface `IVersionedSerializer<java.util.UUID>`
Parameters:
  `in` - DataInput from which deserialization needs to happen.
  `version` - protocol version
Returns:
  the type that was deserialized
Throws:
  `java.io.IOException`

#### serializedSize

    public long serializedSize(java.util.UUID uuid,
                      int version)

Description copied from interface: `IVersionedSerializer`
Calculate serialized size of object without actually serializing.

Specified by:
  `serializedSize` in interface `IVersionedSerializer<java.util.UUID>`
Parameters:
  `uuid` - object to calculate serialized size
  `version` - protocol version
Returns:
  serialized size of object t